[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.BeginUpdate

BeginUpdate - start the update process.

## Declaration

Source position: graphics.pp line 1308

`public procedure TRasterImage.BeginUpdate(`
`ACanvasOnly: Boolean = False`
`);`

## Arguments

`ACanvasOnly` |  | True when only the Canvas is updating; False when image data is loading.

## Description

BeginUpdate is a method used to initiate an update to the image.

BeginUpdate uses the value in an internal member to track the number of active updates for the image. When the counter has a non-zero value, BeginUpdate has already been called and EndUpdate has not yet been executed. If the value in the counter is 0, the shared image is released and the value in ACanvasOnly is stored in the class instance.

BeginUpdate can raise an EInvalidGraphicOperation exception if a pending update was for a canvas only and a subsequent update requests a full update. The default value for ACanvasOnly is False (full update).

BeginUpdate increments the value in the internal counter prior to exiting from the method.

## Errors

Raises an EInvalidGraphicOperation exception with the message in rsRasterImageUpdateAll if a pending update was for a canvas only and a subsequent update requests a full update.